Grouping

- « Anchors

- Examples »

- PHP Manual
- Pattern matching
- Grouping

## Grouping

Grouping
Sequence | Description
--- | ---
(...) | Group a regular expression to override default operator precedence.

(?r-s:pattern)

Apply option r and omit option s while interpreting pattern. Options may be zero or more of the characters i, s, or x.

Options
Option | Description
--- | ---
i | Case insensitive.
-i | Case sensitive.
s | Alters the meaning of '.' to match any character whatsoever.
-s | Alters the meaning of '.' to match any character except '\n'.
x | Ignores comments and whitespace in patterns. Whitespace is ignored unless it is backslash-escaped, contained within ""s, or appears inside a character range.

These options can be applied globally at the rules level by passing a combination of the bit flags to the lexer.

(?# comment ) | Omit everything within (). The first ) character encountered ends the pattern. It is not possible for the comment to contain a ) character. The comment may span lines.